#if !COMBAT_SERVER

using UnityEngine.Playables;
using UnityEngine.Timeline;
#endif
using UTool.CustomizeTimeLogic.FxLogic.TimeLineEventLogic;


[System.Serializable]
public class TimeLineSkillPreparationSerializtion : TimeLineAssetSerialization
{
    public TimeLineSkillPreparationSerializtion()
    {
    }
#if !COMBAT_SERVER

    public TimeLineSkillPreparationSerializtion(PlayableDirector playableDirector, GroupTrack groupTrack, TimelineClip timelineClip) : base(groupTrack, timelineClip)
    {
    }
#endif
    public override TimeLineEventLogicBasic CreateLogic()
    {
        return new TimeLineSkillPreparationLogic();
    }
}